:userdoc.
:title."Reloj" Help
:body.

:h1 res=1.Introduccin
:i1.Introduccin
:artwork name='clock.bmp' align=center.
:p.
Este programa es una revisin sustancial del programa Reloj que se puede
encontrar en el libro "Programming the OS/2 Presentation Manager" de
Charles Petzold. Muestra un reloj analgico, actualizado una vez por
segundo.
:p.
A peticin de la guardera Frank, este programa se ha modificado para
visualizar tambin el nmero de tareas o la carga del sistema a travs
del color del contorno de la ventana.
:p.
Esta ayuda es sensible al contexto, como ya se habr dado cuenta. El
acceso a las siguientes funciones se realiza a travs del men de
sistema de la ventana:
:sl compact.
:li.:hpt.Grabar configuracin:ehpt.:hdref res=11.
:li.:hpt.Restaurar los valores por defecto:ehpt.:hdref res=12.
:li.:hpt.Esconder los controles:ehpt.:hdref res=13.
:li.:hpt.Configurar...:ehpt.:hdref res=14.
:li.:hpt.Informacin del programa...:ehpt.:hdref res=15.
:esl.

:h1 res=11.Grabar configuracin (Opcin del men)
:i1.Grabar configuracin (Opcin del men)
Cuando se selecciona esta opcin del men, el programa guarda la posicin
actual en la pantalla as como el estado de los controles. La prxima
vez que se ejecute el programa, lo har en la misma posicin y con los
controles ocultos (o visibles), de acuerdo con la informacin grabada.
:note.La tecla aceleradora asignada a esta funcin es F2.

:h1 res=12.Restaurar los valores por defecto (Opcin del men)
:i1.Restaurar los valores por defecto (Opcin del men)
Seleccionado esta opcin del men, se restaura el tipo de letra y los
atributos de color a sus valores por defecto.

:h1 res=13.Esconder los controles (Opcin del men)
:i1.Esconder los controles (Opcin del men)
Esta opcin del men, cuando est seleccionada, obliga a esconder los
controles de la ventana del programa (el men de sistema, la barra de
ttulo y el botn de minimizacin). Es posible variar el valor de esta
funcin si pulsamos dos veces el botn del mouse dentro de la ventana.
Adems, como creo que ha de ser posible mover la ventana mientras los
controles estan escondidos, esta accin puede realizarse con cualquiera
de los dos botones del mouse.
:note.La tecla aceleradora asignada a esta funcin es ALT+H.

:h1 res=14.Configurar... (Opcin del men)
:i1.Configurar... (Opcin del men)
Cuando se seleccione esta opcin del men se mostrar la caja de dilogo
de configuracin del programa.
:note.La combinacin de teclas ALT+C realiza la misma accin.

:h1 res=140.Configurar... (Caja de dilogo)
:i1.Configurar... (Caja de dilogo)
Esta caja de dilogo muestra todas las opciones del programa que son
configurables. Para abortar sin grabar cualquier cambio que se hubiera
realizado pulsar la tecla ESC o bien hacer un click en el botn
"Cancelar".
Para grabar los cambios que se hayan realizado, pulsar la tecla ENTER o
bien hacer un click en el botn "OK".
.br
Estos son los apartados del programa que son configurables:
:p.
:hp2.Tipo de reloj:ehp2.
Este reloj se puede presentar en forma analgica (con manillas) o bien
digital. Cuando el reloj est en forma de icono, siempre es analgico.
:p.
:hp2.24 horas:ehp2.
El reloj digital puede mostrar la hora en formato 24 horas (desde las
00&colon.00 hasta las 23&colon.59) o bien en formato 12 horas,
aadiendo las indicaciones 'am' (antes del medioda) y 'pm' (despus del
medioda).
:p.
:hp2.Esconder los controles:ehp2.
Cuando el reloj est en forma de icono, puede mostrar o no los controles
de la ventana: la barra de ttulo, el men de sistema y los botones de
minimizar/maximizar. Si se escoge la opcin de esconder estos controles,
se mantiene el contorno de la ventana, de forma que el tamao de esta
puede ser modificado arrastrando cualquiera de las cuatro esquinas de la
ventana.
:p.
:hp2.Campana:ehp2.
Este botn activa la funcin de campana (alarma) horaria. Cuando este
botn est marcadi, el reloj emitir una doble seal cada hora.
:p.
:hp2.Quedar en primer plano:ehp2.
Este botn activa la funcin que hace que la ventana est siempre en
primer plano. Cuando este botn est marcado, el reloj siempre estar
arriba de todas las ventanas, quedando siempre visible.
:p.
:hp2.Tipo de aviso:ehp2.
El contorno del reloj cambia de color de acuerdo con la carga del
sistema o del nmero de tareas activas. El usuario puede escoger qu
tipo de accin se ha de medir.
:p.
:hp2.Niveles de aviso:ehp2.
Se puede ajustar el nmero de tareas activas o el nivel de ocupacin de
la CPU que har cambiar el color del contorno de la la ventana de verde
al amarillo y del amarillo al rojo. Utilizar las  teclas de cursor para
ajustar los valores, o bien con el mouse (pulsando los botones que hay a
la derecha de los valores).

:h1 res=15.Informacin del prorgama (Opcin del men)
:i1.Informacin del programa (Opcin del men)
Cuando se selecciona esta opcin del men se muestra informacin sobre
el programa.

:h1 res=150.Informacin del programa (Caja de dilogo)
:i1.Informacin del programa (Caja de dilogo)
Esta caja de dilogo muestra informacin sobre el nombre del programa,
su icono e informacin sobre los derechos de autor. Para salir de esta
caja de dilogo, pulsar la tecla ENTER, la barra espaciadora o bien la
tecla ESCAPE.

:h1 res=99.Uso del teclado
:i1.Uso del telcado
Este programa tiene definidas las siguientes teclas de funcin:
:sl compact.
:li.F1 - Ayuda
:li.F2 - Grabar configuracin
:li.F3 - Salida
:li.Alt+H - Esconder los controles
:li.Alt+C - Configurar
:esl.

:h1 res=9900.Indicar el directorio del fichero .INI
:i1.Indicar el directorio del fichero .INI
Esta caja de dilogo se muestra cuando el programa no puede encontrar su
fichero .INI y pregunta dnde se encuentra este fichero, o dnde debe
crearlo.
:p.
Slo se aceptan nombres vlidos de directorios ya existentes. Una vez
que hayais escrito el nombre, pulsando la tecla RETURN o bien haciendo
click en el botn "OK", el programa continuar su secuencia normal de
inicializacin.
:p.
Si, por el contrario, se desea cortar esta secuencia de inicializacin,
pulsar la tecla ESC o bien hacer click en el botn de anulacin.

:euserdoc.
